kind: pipeline
type: ssh
name: ssh-linux-uat-irc-publish

platform:
  os: Linux
  arch: 386
  
clone:
  disable: true  #禁用默认克隆
  
server:
  host: 47.117.164.182
  user: root
  password:
    from_secret: local_pwd

steps:
- name: uat-branch-publish-irc-vue
  commands:
  - cd /opt/1panel/vue-devops/Uat_IRC/Uat-To-Uat
  - sh uat-to-uat.sh v${DRONE_BUILD_NUMBER}
  
trigger:
  branch:
    - uat    
    
---    
    
kind: pipeline
type: ssh
name: ssh-linux-test-irc-publish

platform:
  os: Linux
  arch: 386
  
clone:
  disable: true  #禁用默认克隆
  
server:
  host: 106.14.89.110
  user: root
  password:
    from_secret: local_pwd

steps:
- name: publish-test-irc-vue
  commands:
  - echo start publish test-irc-vue
  - cd /opt/1panel/hang/vue/test-irc
  - sh test-irc.sh v${DRONE_BUILD_NUMBER}
  
trigger:
  branch:
    - main    
       

       

    